---
title: StylePropertyMapReadOnly.values()
slug: Web/API/StylePropertyMapReadOnly/values
tags:
  - API
  - CSS Typed Object Model API
  - Experimental
  - Houdini
  - Method
  - Reference
  - StylePropertyMapReadOnly
  - values()
---
<p>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>StylePropertyMapReadOnly.values()</code></strong> method returns a new Array Iterator containing the values for each index in the <code>StylePropertyMapReadOnly</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>StylePropertyMapReadOnly</var>.values()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A new {{jsxref("Array")}}.</p>

<h2 id="Example">Example</h2>

<p>In this example we use the <code>values()</code> method to be able to access the values within our <a href="/en-US/docs/Web/API/Element/computedStyleMap"><code>Element.computedStyleMap()</code></a>.</p>

<pre class="brush: js notranslate">// get a button element
const buttonEl = document.querySelector('button');

// we can retrieve all computed styles with `computedStyleMap`
const allComputedStyles = buttonEl.computedStyleMap();

// values returns an iterable list of the css values
const vals = allComputedStyles.values();
console.log(vals.next().value); // returns a CSSStyleValue
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#the-stylepropertymap','values()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StylePropertyMapReadOnly.values")}}</p>
